package com.sun.jmx.snmp.mpm;

import com.sun.jmx.snmp.SnmpSecurityParameters;
import com.sun.jmx.snmp.SnmpMsg;

public interface SnmpMsgTranslator
{
    public abstract int getMsgId(SnmpMsg p0);
    
    public abstract int getMsgMaxSize(SnmpMsg p0);
    
    public abstract byte getMsgFlags(SnmpMsg p0);
    
    public abstract int getMsgSecurityModel(SnmpMsg p0);
    
    public abstract int getSecurityLevel(SnmpMsg p0);
    
    public abstract byte[] getFlatSecurityParameters(SnmpMsg p0);
    
    public abstract SnmpSecurityParameters getSecurityParameters(SnmpMsg p0);
    
    public abstract byte[] getContextEngineId(SnmpMsg p0);
    
    public abstract byte[] getContextName(SnmpMsg p0);
    
    public abstract byte[] getRawContextName(SnmpMsg p0);
    
    public abstract byte[] getAccessContext(SnmpMsg p0);
    
    public abstract byte[] getEncryptedPdu(SnmpMsg p0);
    
    public abstract void setContextName(SnmpMsg p0, byte[] p1);
    
    public abstract void setContextEngineId(SnmpMsg p0, byte[] p1);
}
